Skip to main content
PATCH
/
cms
/
banners
/
v1
/
{banner_id}
cURL
curl --request PATCH \
  --url https://api.mottostreaming.com/cms/banners/v1/{banner_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "banner_id": "<string>",
  "banner_update": {
    "project_id": "<string>",
    "name": "<string>",
    "destination_url": {},
    "texts": [
      {
        "text": {},
        "color": "<string>",
        "background_color": "<string>",
        "font_family": "<string>",
        "is_button": true
      }
    ],
    "background_assets": [
      {
        "asset_id": {},
        "loop": true,
        "breakpoint_width": 123
      }
    ]
  },
  "update_mask": "<string>"
}
'
import requests

url = "https://api.mottostreaming.com/cms/banners/v1/{banner_id}"

payload = {
"banner_id": "<string>",
"banner_update": {
"project_id": "<string>",
"name": "<string>",
"destination_url": {},
"texts": [
{
"text": {},
"color": "<string>",
"background_color": "<string>",
"font_family": "<string>",
"is_button": True
}
],
"background_assets": [
{
"asset_id": {},
"loop": True,
"breakpoint_width": 123
}
]
},
"update_mask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
banner_id: '<string>',
banner_update: {
project_id: '<string>',
name: '<string>',
destination_url: {},
texts: [
{
text: {},
color: '<string>',
background_color: '<string>',
font_family: '<string>',
is_button: true
}
],
background_assets: [{asset_id: {}, loop: true, breakpoint_width: 123}]
},
update_mask: '<string>'
})
};

fetch('https://api.mottostreaming.com/cms/banners/v1/{banner_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "banner": {
    "project_id": "<string>",
    "name": "<string>",
    "id": "<string>",
    "destination_url": {},
    "texts": [
      {
        "text": {},
        "color": "<string>",
        "background_color": "<string>",
        "font_family": "<string>",
        "is_button": true
      }
    ],
    "background_assets": [
      {
        "asset_id": {},
        "loop": true,
        "breakpoint_width": 123
      }
    ]
  }
}
{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

banner_id
string
required

Body

application/json
banner_id
string
required
banner_update
object
required

Banner represents a single banner that can be displayed on an end-user facing web/app page.

update_mask
string<field-mask>
required

Response

OK

banner
object

Banner represents a single banner that can be displayed on an end-user facing web/app page.